org.eclnt.jsfserver.util

## Class SystemXml

- java.lang.Object
- - org.eclnt.jsfserver.util.SystemXml

-     public class SystemXml
      extends java.lang.Object

  Reader for /eclntjsfserver/config/system.xml properties.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SystemXml.ClientParam`
    `static class` | `SystemXml.DynamicPageInfo`
    `static class` | `SystemXml.FileManagerReadAccess`
    `static class` | `SystemXml.FileManagerWriteAccess`
    `static class` | `SystemXml.FilterConfiguration`
    `static class` | `SystemXml.RISCClientFontAccess`
    `static class` | `SystemXml.RISCClientMetaTag`
    `static class` | `SystemXml.RISCClientScript`
    `static class` | `SystemXml.RISCClientStyle`
    `static class` | `SystemXml.RISCStarter`
    `static class` | `SystemXml.ServletConfiguration`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemXml()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getCcappletccwebstartcclibs()`
    `static java.util.List<SystemXml.ClientParam>` | `getCcappletccwebstartclientparams()`
    `static java.lang.String` | `getCcappletccwebstartsplashimage()`
    `static java.lang.String` | `getCheckinboundandoutboundvalues()`
    `static java.lang.String` | `getClientliteralserverloader()`
    `static boolean` | `getDialogsPersistenceEnabled()`
    `static boolean` | `getDialogsUseWorkpageIdAsPersistid()`
    `static java.util.List<SystemXml.DynamicPageInfo>` | `getDynamicPageInfos()`
    `static java.lang.String` | `getEncodenamejsessionid()`
    `static java.lang.String` | `getExtCalendarMgr()`
    `static java.lang.String` | `getExtImageFilterClassName()`
    `static boolean` | `getFastExpressionResolution()`
    `static java.util.List<SystemXml.FileManagerReadAccess>` | `getFileManagerReadAccessDirectories()`
    `static java.util.List<SystemXml.FileManagerWriteAccess>` | `getFileManagerWriteAccessDirectories()`
    `static SystemXml.FilterConfiguration` | `getFilterConfiguration(java.lang.Class clazz)`
    `static java.lang.String` | `getFixgridExportCharacterSetCSV()`
    `static java.lang.String` | `getFixgridExportCharacterSetXML()`
    `static java.lang.String` | `getFixgridPersistence()`
    `static java.lang.String` | `getHtsessiontimeoutpage()`
    `static java.lang.String` | `getImageReaderClassName()`
    `static java.lang.String` | `getJdbcConnectionProvider()`
    `static boolean` | `getLayoutBufferActive()`
    `static boolean` | `getNonJSFRequestsExplicitUTF8Conversion()`
    `static java.lang.String` | `getPopupCreator()`
    `static java.util.List<java.lang.String>` | `getResourceSecurityAdditionalExtensions()`
    `static java.util.List<SystemXml.RISCClientFontAccess>` | `getRISCClientFontAccess()`
    `static java.util.List<SystemXml.RISCClientMetaTag>` | `getRISCClientMetaTags()`
    `static java.util.List<SystemXml.RISCClientScript>` | `getRISCClientScripts()`
    `static java.util.List<SystemXml.RISCClientStyle>` | `getRISCClientStyles()`
    `static SystemXml.RISCStarter` | `getRiscStarter()`
    `static java.lang.String` | `getRownincludeRescuePage()`
    `static java.lang.String` | `getSaxparserfactory()`
    `static java.lang.String` | `getSecurityfilterextensionclassname()`
    `static SystemXml.ServletConfiguration` | `getServletConfiguration(java.lang.Class clazz)`
    `static boolean` | `getSessionMgmtViaCookie()`
    `static boolean` | `getSessionStateManagementUseContainer()`
    `static java.lang.String` | `getStarttemplateCcapplet()`
    `static java.lang.String` | `getStarttemplateCcRisc()`
    `static java.lang.String` | `getStarttemplateCcwebstart()`
    `static java.lang.String` | `getStarttemplateCcwebstartFX()`
    `static boolean` | `getStoreOriginalTagAttributes()`
    `static java.lang.String` | `getStreamStore()`
    `static java.lang.String` | `getStreamStoreFileRootDir()`
    `static java.lang.String` | `getTenantAccess()`
    `static java.lang.String` | `getUserAccess()`
    `static java.lang.String` | `getWFManagerClassName()`
    `static java.lang.String` | `getWorkpageStarter()`
    `static boolean` | `getWorkplaceImplicitLoadingForCurrentUser()`
    `static boolean` | `getWorkplaceWithHistory()`
    `static void` | `init(ServletContext servletContext)` Called by ThreadingFilter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemXml

          public SystemXml()

  - ### Method Detail

    - #### init

          public static void init(ServletContext servletContext)

      Called by ThreadingFilter.

    - #### getSaxparserfactory

          public static java.lang.String getSaxparserfactory()

    - #### getLayoutBufferActive

          public static boolean getLayoutBufferActive()

    - #### getFastExpressionResolution

          public static boolean getFastExpressionResolution()

    - #### getStarttemplateCcapplet

          public static java.lang.String getStarttemplateCcapplet()

    - #### getStarttemplateCcwebstart

          public static java.lang.String getStarttemplateCcwebstart()

    - #### getStarttemplateCcwebstartFX

          public static java.lang.String getStarttemplateCcwebstartFX()

    - #### getStarttemplateCcRisc

          public static java.lang.String getStarttemplateCcRisc()

    - #### getExtCalendarMgr

          public static java.lang.String getExtCalendarMgr()

    - #### getStreamStore

          public static java.lang.String getStreamStore()

    - #### getStreamStoreFileRootDir

          public static java.lang.String getStreamStoreFileRootDir()

    - #### getFixgridExportCharacterSetCSV

          public static java.lang.String getFixgridExportCharacterSetCSV()

    - #### getFixgridExportCharacterSetXML

          public static java.lang.String getFixgridExportCharacterSetXML()

    - #### getFixgridPersistence

          public static java.lang.String getFixgridPersistence()

    - #### getUserAccess

          public static java.lang.String getUserAccess()

    - #### getTenantAccess

          public static java.lang.String getTenantAccess()

    - #### getWFManagerClassName

          public static java.lang.String getWFManagerClassName()

    - #### getDynamicPageInfos

          public static java.util.List<SystemXml.DynamicPageInfo> getDynamicPageInfos()

    - #### getEncodenamejsessionid

          public static java.lang.String getEncodenamejsessionid()

    - #### getRownincludeRescuePage

          public static java.lang.String getRownincludeRescuePage()

    - #### getJdbcConnectionProvider

          public static java.lang.String getJdbcConnectionProvider()

    - #### getSessionStateManagementUseContainer

          public static boolean getSessionStateManagementUseContainer()

    - #### getCcappletccwebstartcclibs

          public static java.lang.String getCcappletccwebstartcclibs()

    - #### getCcappletccwebstartsplashimage

          public static java.lang.String getCcappletccwebstartsplashimage()

    - #### getCcappletccwebstartclientparams

          public static java.util.List<SystemXml.ClientParam> getCcappletccwebstartclientparams()

    - #### getStoreOriginalTagAttributes

          public static boolean getStoreOriginalTagAttributes()

    - #### getHtsessiontimeoutpage

          public static java.lang.String getHtsessiontimeoutpage()

    - #### getDialogsPersistenceEnabled

          public static boolean getDialogsPersistenceEnabled()

    - #### getDialogsUseWorkpageIdAsPersistid

          public static boolean getDialogsUseWorkpageIdAsPersistid()

    - #### getServletConfiguration

          public static SystemXml.ServletConfiguration getServletConfiguration(java.lang.Class clazz)

    - #### getFilterConfiguration

          public static SystemXml.FilterConfiguration getFilterConfiguration(java.lang.Class clazz)

    - #### getRISCClientScripts

          public static java.util.List<SystemXml.RISCClientScript> getRISCClientScripts()

    - #### getRISCClientStyles

          public static java.util.List<SystemXml.RISCClientStyle> getRISCClientStyles()

    - #### getRISCClientMetaTags

          public static java.util.List<SystemXml.RISCClientMetaTag> getRISCClientMetaTags()

    - #### getRISCClientFontAccess

          public static java.util.List<SystemXml.RISCClientFontAccess> getRISCClientFontAccess()

    - #### getRiscStarter

          public static SystemXml.RISCStarter getRiscStarter()

    - #### getSecurityfilterextensionclassname

          public static java.lang.String getSecurityfilterextensionclassname()

    - #### getFileManagerReadAccessDirectories

          public static java.util.List<SystemXml.FileManagerReadAccess> getFileManagerReadAccessDirectories()

    - #### getFileManagerWriteAccessDirectories

          public static java.util.List<SystemXml.FileManagerWriteAccess> getFileManagerWriteAccessDirectories()

    - #### getNonJSFRequestsExplicitUTF8Conversion

          public static boolean getNonJSFRequestsExplicitUTF8Conversion()

    - #### getClientliteralserverloader

          public static java.lang.String getClientliteralserverloader()

    - #### getCheckinboundandoutboundvalues

          public static java.lang.String getCheckinboundandoutboundvalues()

    - #### getSessionMgmtViaCookie

          public static boolean getSessionMgmtViaCookie()

    - #### getImageReaderClassName

          public static java.lang.String getImageReaderClassName()

    - #### getExtImageFilterClassName

          public static java.lang.String getExtImageFilterClassName()

    - #### getWorkplaceWithHistory

          public static boolean getWorkplaceWithHistory()

    - #### getWorkplaceImplicitLoadingForCurrentUser

          public static boolean getWorkplaceImplicitLoadingForCurrentUser()

    - #### getResourceSecurityAdditionalExtensions

          public static java.util.List<java.lang.String> getResourceSecurityAdditionalExtensions()

    - #### getPopupCreator

          public static java.lang.String getPopupCreator()

    - #### getWorkpageStarter

          public static java.lang.String getWorkpageStarter()

Copyright © CaptainCasa Gmbh. All Rights Reserved.